import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpMobileUserLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-08 15:27
 */
interface PpMobileUserLogCU extends ConditionUtil<PpMobileUserLogCU> {
    ID: FieldUtil<PpMobileUserLogCU>;
    USER_ID: FieldUtil<PpMobileUserLogCU>;
    PHONE: FieldUtil<PpMobileUserLogCU>;
    POINTS: FieldUtil<PpMobileUserLogCU>;
    POINT_TYPE: FieldUtil<PpMobileUserLogCU>;
    MOBILE_ORDER_ID: FieldUtil<PpMobileUserLogCU>;
    CY_ORDER_ID: FieldUtil<PpMobileUserLogCU>;
    PAY_STATE: FieldUtil<PpMobileUserLogCU>;
    IS_COUPON: FieldUtil<PpMobileUserLogCU>;
    CREATE_TIME: FieldUtil<PpMobileUserLogCU>;
}
declare class PpMobileUserLogMU extends TableUtilImpl<PpMobileUserLogCU, PpMobileUserLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpMobileUserLogCU;
    static get ID(): FieldUtil<PpMobileUserLogCU>;
    static get USER_ID(): FieldUtil<PpMobileUserLogCU>;
    static get PHONE(): FieldUtil<PpMobileUserLogCU>;
    static get POINTS(): FieldUtil<PpMobileUserLogCU>;
    static get POINT_TYPE(): FieldUtil<PpMobileUserLogCU>;
    static get MOBILE_ORDER_ID(): FieldUtil<PpMobileUserLogCU>;
    static get CY_ORDER_ID(): FieldUtil<PpMobileUserLogCU>;
    static get PAY_STATE(): FieldUtil<PpMobileUserLogCU>;
    static get IS_COUPON(): FieldUtil<PpMobileUserLogCU>;
    static get CREATE_TIME(): FieldUtil<PpMobileUserLogCU>;
    get ID(): FieldUtil<PpMobileUserLogCU>;
    get USER_ID(): FieldUtil<PpMobileUserLogCU>;
    get PHONE(): FieldUtil<PpMobileUserLogCU>;
    get POINTS(): FieldUtil<PpMobileUserLogCU>;
    get POINT_TYPE(): FieldUtil<PpMobileUserLogCU>;
    get MOBILE_ORDER_ID(): FieldUtil<PpMobileUserLogCU>;
    get CY_ORDER_ID(): FieldUtil<PpMobileUserLogCU>;
    get PAY_STATE(): FieldUtil<PpMobileUserLogCU>;
    get IS_COUPON(): FieldUtil<PpMobileUserLogCU>;
    get CREATE_TIME(): FieldUtil<PpMobileUserLogCU>;
}
export { PpMobileUserLogMU, PpMobileUserLogCU };
